%define	upstream_name	 Net-Server
%define upstream_version 2.014

%global	__provides_exclude perl\\(My|perl\\(Sample

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extensible, general Perl server engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl-IO-Multiplex
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(POSIX)
BuildRequires: perl(Socket)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
Net::Server is an extensible, generic Perl server engine.  Net::Server combines
the good properties from Net::Daemon (0.34), NetServer::Generic (1.03), and
Net::FTPServer (1.0), and also from various concepts in the Apache Webserver.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Net

%changelog
* Tue Aug 29 2023 tv <tv> 2.14.0-1.mga10
+ Revision: 1981001
- update to 2.014

* Mon Dec 05 2022 tv <tv> 2.13.0-1.mga9
+ Revision: 1918104
- update to 2.013

* Mon Mar 21 2022 umeabot <umeabot> 2.10.0-2.mga9
+ Revision: 1814261
- Mageia 9 Mass Rebuild

* Wed Mar 24 2021 tv <tv> 2.10.0-1.mga9
+ Revision: 1708592
- update to 2.010

* Sat Feb 15 2020 umeabot <umeabot> 2.9.0-5.mga8
+ Revision: 1528990
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tmb <tmb> 2.9.0-4.mga8
+ Revision: 1432796
- rebuild for perl 5.30

* Thu Sep 20 2018 umeabot <umeabot> 2.9.0-3.mga7
+ Revision: 1285210
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.9.0-2.mga7
+ Revision: 1165940
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 2.9.0-1.mga7
+ Revision: 1154321
- new release

* Sun Jun 19 2016 pterjan <pterjan> 2.8.0-5.mga6
+ Revision: 1031318
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.8.0-4.mga6
+ Revision: 943918
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.8.0-3.mga5
+ Revision: 748131
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8.0-2.mga5
+ Revision: 685730
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue May 20 2014 jquelin <jquelin> 2.8.0-1.mga5
+ Revision: 624373
- update to 2.008

* Sat Oct 19 2013 umeabot <umeabot> 2.7.0-2.mga4
+ Revision: 527184
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.7.0-1.mga4
+ Revision: 439642
- update to 2.007

* Sun Jan 13 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 370887
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 2.6.0-1.mga3
+ Revision: 268054
- update to 2.006

* Tue Jun 05 2012 jquelin <jquelin> 2.2.0-1.mga3
+ Revision: 255204
- update to 2.002

* Thu Jan 20 2011 jquelin <jquelin> 0.990.0-2.mga1
+ Revision: 26724
- mageia rebuild
- imported package perl-Net-Server

